org.apache.ignite.streamer

## Interface StreamerMBean

All Known Implementing Classes:
  StreamerMBeanAdapter

    @MXBeanDescription(value="MBean that provides access to streamer description and metrics.")
    public interface StreamerMBean

Streamer MBean interface.

### Method Summary

Methods
`int` `getBatchFutureMapSize()` Gets size of batch futures map.
`int` `getCurrentActiveSessions()` Gets number of current active sessions.
`int` `getFailuresCount()` Gets number of failures since last reset.
`int` `getMaximumActiveSessions()` Gets maximum number of active sessions since last reset.
`String` `getName()` Gets streamer name.
`int` `getPipelineAverageExecutionNodes()` Gets average number of unique nodes participated in pipeline execution.
`long` `getPipelineAverageExecutionTime()` Gets pipeline average execution time, i.e. time between execution start and time when last stage in pipeline returned empty map.
`int` `getPipelineMaximumExecutionNodes()` Gets maximum number of unique nodes participated in pipeline execution.
`long` `getPipelineMaximumExecutionTime()` Gets pipeline maximum execution time, i.e. time between execution start and time when last stage in pipeline returned empty map.
`int` `getPipelineMinimumExecutionNodes()` Gets minimum number of unique nodes participated in pipeline execution.
`long` `getPipelineMinimumExecutionTime()` Gets pipeline minimum execution time, i.e. time between execution start and time when last stage in pipeline returned empty map.
`int` `getStageActiveExecutionCount()` Gets number of stages currently being executed in streamer pool.
`int` `getStageFutureMapSize()` Gets size of stage futures map.
`long` `getStageTotalExecutionCount()` Gets total number of stages executed since last reset.
`int` `getStageWaitingExecutionCount()` Gets number of event batches currently waiting to be executed.
`boolean` `isAtLeastOnce()` Gets `atLeastOnce` configuration flag.

### Method Detail

#### getName

    @MXBeanDescription(value="Streamer name.")
    @Nullable
    String getName()

Gets streamer name.

Returns:
  Streamer name.

#### isAtLeastOnce

    @MXBeanDescription(value="True if atLeastOnce is configured.")
    boolean isAtLeastOnce()

Gets `atLeastOnce` configuration flag.

Returns:
  `True` if `atLeastOnce` is configured.

#### getStageFutureMapSize

    @MXBeanDescription(value="Stage future map size.")
    int getStageFutureMapSize()

Gets size of stage futures map. This map is maintained only when `atLeastOnce` configuration flag is set to true.

Returns:
  Stage future map size.

#### getBatchFutureMapSize

    @MXBeanDescription(value="Batch future map size.")
    int getBatchFutureMapSize()

Gets size of batch futures map.

Returns:
  Batch future map size.

#### getStageActiveExecutionCount

    @MXBeanDescription(value="Number of stages currently being executed in streamer pool.")
    int getStageActiveExecutionCount()

Gets number of stages currently being executed in streamer pool.

Returns:
  Number of stages. Cannot be more than pool thread count.

#### getStageWaitingExecutionCount

    @MXBeanDescription(value="Number of event batches currently waiting to be executed.")
    int getStageWaitingExecutionCount()

Gets number of event batches currently waiting to be executed.

Returns:
  Number of event batches waiting to be processed.

#### getStageTotalExecutionCount

    @MXBeanDescription(value="Total number of stages executed since last reset.")
    long getStageTotalExecutionCount()

Gets total number of stages executed since last reset.

Returns:
  Total number of stages executed since last reset.

#### getPipelineMaximumExecutionTime

    @MXBeanDescription(value="Pipeline maximum execution time.")
    long getPipelineMaximumExecutionTime()

Gets pipeline maximum execution time, i.e. time between execution start and time when last stage in pipeline returned empty map. If pipeline execution was split to different nodes, metrics for each split will be recorded independently.

Returns:
  Pipeline maximum execution time.

#### getPipelineMinimumExecutionTime

    @MXBeanDescription(value="Pipeline minimum execution time.")
    long getPipelineMinimumExecutionTime()

Gets pipeline minimum execution time, i.e. time between execution start and time when last stage in pipeline returned empty map. If pipeline execution was split to different nodes, metrics for each split will be recorded independently.

Returns:
  Pipeline minimum execution time.

#### getPipelineAverageExecutionTime

    @MXBeanDescription(value="Pipeline average execution time.")
    long getPipelineAverageExecutionTime()

Gets pipeline average execution time, i.e. time between execution start and time when last stage in pipeline returned empty map. If pipeline execution was split, metrics for each split will be recorded independently.

Returns:
  Pipeline average execution time.

#### getPipelineMaximumExecutionNodes

    @MXBeanDescription(value="Maximum number of unique nodes participated in pipeline execution.")
    int getPipelineMaximumExecutionNodes()

Gets maximum number of unique nodes participated in pipeline execution. If pipeline execution was split, metrics for each split will be recorded independently.

Returns:
  Maximum number of unique nodes in pipeline execution.

#### getPipelineMinimumExecutionNodes

    @MXBeanDescription(value="Minimum number of unique nodes participated in pipeline execution.")
    int getPipelineMinimumExecutionNodes()

Gets minimum number of unique nodes participated in pipeline execution. If pipeline execution was split, metrics for each split will be recorded independently.

Returns:
  Minimum number of unique nodes in pipeline execution.

#### getPipelineAverageExecutionNodes

    @MXBeanDescription(value="Average number of unique nodes participated in pipeline execution.")
    int getPipelineAverageExecutionNodes()

Gets average number of unique nodes participated in pipeline execution. If pipeline execution was split, metrics for each split will be recorded independently.

Returns:
  Average number of unique nodes in pipeline execution.

#### getCurrentActiveSessions

    @MXBeanDescription(value="Number of current active sessions.")
    int getCurrentActiveSessions()

Gets number of current active sessions. Since event execution sessions are tracked only when `atLeastOnce` configuration property is set to `true`, this metric will be collected only in this case. When `atLeastOnce` is set to `false`, this metric will always be zero.

Returns:
  Number of current active sessions.

#### getMaximumActiveSessions

    @MXBeanDescription(value="Maximum number of active sessions since last reset.")
    int getMaximumActiveSessions()

Gets maximum number of active sessions since last reset. Since event execution sessions are tracked only when `atLeastOnce` configuration property is set to `true`, this metric will be collected only in this case. When `atLeastOnce` is set to `false`, this metric will always be zero.

Returns:
  Maximum active sessions since last reset.

#### getFailuresCount

    @MXBeanDescription(value="Number of failures since last reset.")
    int getFailuresCount()

Gets number of failures since last reset. If `atLeastOnce` flag is set to steamer configuration, then only root node failures will be counted. Otherwise each node will count failures independently.

Returns:
  Failures count.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015